Page cover
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete Environment

Deletes an existing environment that is currently running. This endpoint should be used after you are running tests in CI/CD, or want to shutdown specific environments that are no longer needed.

delete

Deletes an existing environment that is currently running. Nothing is saved when this call is executed to the environment. Returns a 200 "SUCCESS" if successful.

Path parameters
environmentIdstringRequired

Environment ID. (GET /environments to see the list of your Environments)

Responses
200

Success

No content

delete/environments/{environmentId}

No content

curl --request DELETE 'https://api.nameless.io/v1/environments/<Environment ID>' \
--header 'x-api-key: <Your API Key>'
--header 'Content-Type: application/json'
{
    "data": {
        "environmentId": "eMwAw0mCj2TwQJBQooWm-",
        "messageId": "NztiPlNkbmyKpCAyOobl",
        "message": "Successfully deleted Environment ID eMwAw0mCj2TwQJBQooWm-."
    },
    "success": true
}

Last updated

Was this helpful?